package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * (TabHaobanAppLog)实体类
 *
 * @author makejava
 * @since 2023-05-11 20:42:00
 */
public class TabHaobanAppLogDTO implements Serializable {
    private static final long serialVersionUID = 539168776962271773L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 小程序memberId
     */
    private String memberId;
    /**
     * 用户信息
     */
    private String userInfo;
    /**
     * 设备时间
     */
    private Date deviceTime;
    /**
     * 当前Url（页面url）
     */
    private String locationUrl;
    /**
     * 错误信息json
     */
    private String errMsg;
    /**
     * 创建时间
     */
    private Date createTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(String userInfo) {
        this.userInfo = userInfo;
    }

    public Date getDeviceTime() {
        return deviceTime;
    }

    public void setDeviceTime(Date deviceTime) {
        this.deviceTime = deviceTime;
    }

    public String getLocationUrl() {
        return locationUrl;
    }

    public void setLocationUrl(String locationUrl) {
        this.locationUrl = locationUrl;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

